Page MenuHomePhabricator

Change numerous Arabic Wikipedia Default User Preferences
Closed, ResolvedPublic

Description

Based on community consensus, please enable the following settings by default in Arabic Wikipedia.

Editing

Prompt me when entering a blank edit summary
Enable the editing toolbar
Enable the visual editor and the new wikitext mode in Structured Discussions

Recent changes

Group changes by page in recent changes and watchlist
Hide categorization of pages
Show the pending changes diff when viewing the latest pending revision

Watchlist

Add pages I review to my watchlist
Show Wikidata edits in your watchlist
Hide categorization of pages
Add pages and files I edit to my watchlist
Add pages and files I move to my watchlist
Add pages I create and files I upload to my watchlist
Add pages where I have performed a rollback to my watchlist
Add new files I upload to my watchlist

Beta

TemplateWizard
New wikitext mode

Details

Related Gerrit Patches:
operations/mediawiki-config : masterChange arwiki's default user preferences

Event Timeline

Zack created this task.Apr 5 2019, 10:02 AM
Restricted Application added subscribers: alanajjar, Aklapper. · View Herald TranscriptApr 5 2019, 10:02 AM
Urbanecm claimed this task.Apr 5 2019, 11:39 AM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptApr 5 2019, 11:39 AM
Urbanecm triaged this task as Normal priority.Apr 5 2019, 11:39 AM
Ammarpad updated the task description. (Show Details)Apr 5 2019, 1:23 PM
Meno25 added a subscriber: Meno25.Apr 5 2019, 7:09 PM

Enable the editing toolbar) This should be already enabled, if you mean "Enable enhanced editing toolbar". If you mean something else, please have a look at https://www.mediawiki.org/wiki/Manual:$wgDefaultUserOptions and let me know which one you wish to get enabled by default.
Enable the visual editor and the new wikitext mode in Structured Discussions) Should be already enabled by default.
Hide categorization of pages) Should be already enabled by default.
Show the pending changes diff when viewing the latest pending revision) I can't find that in my preferences on arwiki.
Add pages I review to my watchlist) I can't find that in my preferences on arwiki.
Hide categorization of pages) Already true by default.
Add new files I upload to my watchlist) Already true by default.
Beta features) I'm unsure how this works internally. Anyone knows if this can be controled by wgDefaultUserOptions?

Change 501926 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Change arwiki's default user preferences

https://gerrit.wikimedia.org/r/501926

@Urbanecm It'll be enabled for new users only? Or for all registered users?

For all users who haven't changed their preferences. It isn't possible to change a preference for new users only, since the table which stores user's preferences only stores changrs from the default state.

Zack added a comment.Apr 6 2019, 8:41 PM

Enable the editing toolbar) This should be already enabled,

Looks good,

Show the pending changes diff when viewing the latest pending revision) I can't find that in my preferences on arwiki.

That would be:
عرض مقارنة التغييرات بالانتظار عند عرض أحدث مراجعة بالانتظار

MediaWiki:Flaggedrevs-prefs-viewdiffs

Add pages I review to my watchlist) I can't find that in my preferences on arwiki.

أضف الصفحات التي أراجعها إلى قائمة مراقبتي

MediaWiki:Flaggedrevs-prefs-watch

Thanks. I'm sorry for the delay, I need to figure out the codename for the preferences. Will try to have a look at it next week.

Aklapper renamed this task from Arabic Wikipedia Default User Preferences to Change numerous Arabic Wikipedia Default User Preferences.May 24 2019, 6:50 PM
Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.May 24 2019, 7:47 PM
Urbanecm moved this task from Working on to To deploy on the User-Urbanecm board.May 29 2019, 7:41 AM

This is all ready, except beta section. Per looking into arwiki's user_properties database table, it looks it should be possible to auto-enable a beta feature using the same approach. However, beta features are in beta for a reason, and I'm not sure if processing wouldn't cause anything unwanted. Unless someone more experienced confirms this is possible, I'm not going to do that.

Change 501926 merged by jenkins-bot:
[operations/mediawiki-config@master] Change arwiki's default user preferences

https://gerrit.wikimedia.org/r/501926

Mentioned in SAL (#wikimedia-operations) [2019-05-29T16:59:34Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[:gerrit:501926|Change arwiki default user preferences]], part 1/3 (T220186) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2019-05-29T17:00:45Z] <urbanecm@deploy1001> Synchronized wmf-config/flaggedrevs.php: [[:gerrit:501926|Change arwiki default user preferences]], part 2/3 (T220186) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2019-05-29T17:02:03Z] <urbanecm@deploy1001> Synchronized wmf-config/CommonSettings.php: [[:gerrit:501926|Change arwiki default user preferences]], part 3/3 (T220186) (duration: 00m 56s)

Urbanecm closed this task as Resolved.May 29 2019, 6:37 PM

Deployed, except the beta part (see above for reasons to decline the beta part).

Urbanecm reopened this task as Open.May 30 2019, 10:31 AM

Okay, forgot watch uploads, reopening...

Urbanecm closed this task as Resolved.May 30 2019, 10:36 AM

Hmm, seems its true by default :-).